terraform {
  backend "kubernetes" {
    secret_suffix = "authentik-state"
    namespace     = "authentik"
  }
  required_providers {
    kubernetes = {
      source  = "hashicorp/kubernetes"
      version = "2.31.0"
    }
    authentik = {
      source  = "goauthentik/authentik"
      version = "2025.2.0"
    }
  }
}
provider "authentik" {}
provider "kubernetes" {
}
