
resource "grafana_folder" "HomeAssistant" {
  title = "Home Assistant"
}

resource "grafana_dashboard" "HomeEnergy" {
  for_each    = fileset("${path.module}/dashboards/HASS", "*.json")
  config_json = file("${path.module}/dashboards/HASS/${each.key}")
  folder      = grafana_folder.HomeAssistant.id
}

resource "grafana_folder" "Kubernetes" {
  title = "Kubernetes"
}

resource "grafana_dashboard" "Kubernetes" {
  for_each    = fileset("${path.module}/dashboards/kubernetes", "*.json")
  config_json = file("${path.module}/dashboards/kubernetes/${each.key}")
  folder      = grafana_folder.Kubernetes.id
}

resource "grafana_folder" "pinchflat" {
  title = "Pinchflat"
}
resource "grafana_dashboard" "pinchflat" {
  for_each    = fileset("${path.module}/dashboards/pinchflat", "*.json")
  config_json = file("${path.module}/dashboards/pinchflat/${each.key}")
  folder      = grafana_folder.pinchflat.id
}
